Subject: Re: bug#60817: 28.2; `x-focus-frame' causes spurious input events causes edebug not showing intermediate results

From: Farblos <[email-masked]>
Date: Sat, 21 Jan 2023 22:36:16 +0100

On 2023-01-21  21:03, Farblos wrote:
> I used printf debugging and, admittedly, even back in Emacs 27 for now, 
> since I have the Debian toolchain ready for that.  I reduced the test 
> case to this:

Bit the bullet and cloned master, compiled it, and: Bug *does not* 
reproduce.

Only after seeing that HELP_EVENT in Emacs 27 I understood that hovering 
over the modeline is a necessary precondition to reliably reproduce this 
issue.  So without debugging in Emacs 27 I wouldn't have been able to 
ensure that the bug is gone in master ...

Feel free to close this issue.  Optionally: If you happen to have an 
explanation why this bug is gone, I'd really appreciate that.

Thanks for developing Emacs!